# PassCrypt

PassCrypt is a comprehensive password management solution designed to securely store, manage, and access your passwords. Built with Python, it leverages advanced encryption techniques to ensure your data remains safe and private.

## Features

- **Secure Storage**: Utilizes Fernet symmetric encryption to securely store passwords.
- **Password Generation**: Generates strong, context-aware passwords to enhance security.
- **Import/Export Functionality**: Easily import or export your PassCrypt storage for backup or transfer.
- **Master Password Protection**: Secures your password vault with a master password, ensuring only authorized access.
- **Cross-Platform Compatibility**: Designed to run on multiple platforms, ensuring your passwords are accessible wherever you are.

## Installation

To get started with PassCrypt, clone this repository and install the required dependencies:

> For PIP:

```sh
pip install pypasscrypt
```

> For POETRY:

```sh
poetry add pypasscrypt
```
